Fetch trades by markets, wallets and/or orders
curl --request GET \
--url https://sandbox.api.btdx.io/trades \
--header 'authorization: <authorization>'import requests
url = "https://sandbox.api.btdx.io/trades"
headers = {"authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<authorization>'}};
fetch('https://sandbox.api.btdx.io/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_meta": {
"_primary_document": "apiKeys",
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"trades": [
{
"id": "<string>",
"walletId": "<string>",
"market": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"order": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"side": "For",
"outcomeId": "<string>",
"price": 123,
"stake": 123,
"profitLoss": 123,
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}
],
"orders": [
{
"id": "<string>",
"market": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"side": "For",
"outcomeId": "<string>",
"outcomeTitle": "<string>",
"price": 123,
"stake": 123,
"stakeUnmatched": 123,
"stakeVoided": 123,
"status": "Cancelled",
"reference": "<string>"
}
],
"markets": [
{
"id": "<string>",
"name": "<string>",
"inPlayStatus": "NotApplicable",
"published": true,
"suspended": true,
"status": "Initializing",
"lockAt": "2023-11-07T05:31:56Z",
"settledAt": "2023-11-07T05:31:56Z",
"event": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"events": [
{
"id": "<string>",
"eventGroup": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"name": "<string>",
"code": "<string>",
"expectedStartTime": "2023-11-07T05:31:56Z",
"active": true
}
],
"eventGroups": [
{
"id": "<string>",
"name": "<string>",
"subcategory": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"subcategories": [
{
"id": "<string>",
"name": "<string>",
"category": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"categories": [
{
"id": "<string>",
"name": "<string>"
}
]
}{
"_meta": {
"_primary_document": "apiKeys",
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"trades": [
{
"id": "<string>",
"walletId": "<string>",
"market": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"order": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"side": "For",
"outcomeId": "<string>",
"price": 123,
"stake": 123,
"profitLoss": 123,
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}
],
"orders": [
{
"id": "<string>",
"market": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"side": "For",
"outcomeId": "<string>",
"outcomeTitle": "<string>",
"price": 123,
"stake": 123,
"stakeUnmatched": 123,
"stakeVoided": 123,
"status": "Cancelled",
"reference": "<string>"
}
],
"markets": [
{
"id": "<string>",
"name": "<string>",
"inPlayStatus": "NotApplicable",
"published": true,
"suspended": true,
"status": "Initializing",
"lockAt": "2023-11-07T05:31:56Z",
"settledAt": "2023-11-07T05:31:56Z",
"event": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"events": [
{
"id": "<string>",
"eventGroup": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"name": "<string>",
"code": "<string>",
"expectedStartTime": "2023-11-07T05:31:56Z",
"active": true
}
],
"eventGroups": [
{
"id": "<string>",
"name": "<string>",
"subcategory": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"subcategories": [
{
"id": "<string>",
"name": "<string>",
"category": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"categories": [
{
"id": "<string>",
"name": "<string>"
}
]
}Trades
Fetch trades by markets, wallets and/or orders
GET
/
trades
Fetch trades by markets, wallets and/or orders
Headers
Header with the accessToken for the current session
Query Parameters
list of market ids
list of wallet ids
list of order ids
beginning of the creation date range filter (inclusive)
end of the creation date range filter (inclusive)
Zero-based page index (0..N)
The size of the page to be returned
Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I